Unfortunately, many sites require using newer versions of the Flash plugin than you are capable of running. Yet another reason to hate Flash!
_________________________
The Graphic Mac - Tips, reviews & more on all things OSX & graphic design.